public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/
Date: Sat, 30 Jul 2022 02:22:37 +0000 (UTC)	[thread overview]
Message-ID: <1659147737.9c35ee04c85c74773e4549d1cbf860cce6f3fda5.sam@gentoo> (raw)

commit:     9c35ee04c85c74773e4549d1cbf860cce6f3fda5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 21:57:04 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 02:22:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c35ee04

sys-kernel/raspberrypi-image: add 5.15.32_p20220331

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-kernel/raspberrypi-image/Manifest              |  1 +
 ... => raspberrypi-image-5.15.32_p20220331.ebuild} | 51 ++++++++++++++++------
 .../raspberrypi-image-9999.ebuild                  | 51 ++++++++++++++++------
 3 files changed, 77 insertions(+), 26 deletions(-)

diff --git a/sys-kernel/raspberrypi-image/Manifest b/sys-kernel/raspberrypi-image/Manifest
index 229363a3e5d1..59e64f26e293 100644
--- a/sys-kernel/raspberrypi-image/Manifest
+++ b/sys-kernel/raspberrypi-image/Manifest
@@ -3,4 +3,5 @@ DIST raspberrypi-firmware-1.20201201.tar.gz 189332299 BLAKE2B b3ec91f07b4713d26c
 DIST raspberrypi-firmware-1.20210201.tar.gz 191785657 BLAKE2B 7ef315411e3bc572515f9e60d953166056bd5dfe9afc496eda978dbbbd6f38aa12f1eaba72448bb72166d6bda1ec79e3e3e7c613f4202bc804784b566f118971 SHA512 13d899a103e8d3deb98a6fcca661f712b085935336fc31156e0b8ec5e3c71b373d3394777895ee1907cad9a2ca3efd1a66995ff6df3429c732b002d9ad603414
 DIST raspberrypi-firmware-1.20210527.tar.gz 192247084 BLAKE2B 329707dfb2905b36926a3f0ecf1a8e3bc2b52e1a376f98ca7cfe9ec7b69d0fb370d8e23907f5bbd9ea75cf7fed5babd6fe54934919995dec6914e888d95e5fbe SHA512 5a48d1fae768c30528359a14371f59564447d2fb8a145cafa89d7d29352095c5b7ac33bfcbc8da494284c9d41e7dbafe4e863e8efd963a17ea6b6b9699b814a7
 DIST raspberrypi-firmware-1.20211029.tar.gz 193543221 BLAKE2B 308206d6bdfbe15bfe5f39cd230e6d4857f460744aafcbcc9eee6a74f05a3a9dc861e7c3e36baea46fdb1d1d1dc28b5edebf70bce3a3c085228b2ea321ef7a85 SHA512 7a1fe3b1645006c35fa49e842b9ece53b386ece42b8db99649de8d4bc0c19e34b0807767290e26422528606c5847843533aaa0edd0716e9f9f9dcae340a4dce0
+DIST raspberrypi-firmware-1.20220331.tar.gz 195722349 BLAKE2B 7f2748bba0cd255921cc7cd1117bd8a16611a835ab7bcb62525675f6b0d627ea8ad40b39aa83e00f7e73428e2af912906e53c3e3214b5cb079a2baeae985f2a2 SHA512 c510ddb5eb1c6ea1aa69f0063551445dd21092f68e19b64b885558d2c47735d4e9f781ef9674fbe3a9894d66eb07ccbb004541c9a85005318911fabda899c2cc
 DIST raspberrypi-image-4.14.98_p20190215.tar.gz 123074917 BLAKE2B cefedb5c979db7dfd47938aad37a567d91d3ad78247c7a63f789362768ab7a39a1967ac116b4b0475e3b210ab11f6474706df042af85a622e8e7905c85ec7498 SHA512 082f26caf427222d838881e5f1e9fa0136765b3eaf74a84877fc33616fd07e49085db0889226c40c655039a9d41a10566510c7d752cfc48a67b4683616a51193

diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-5.15.32_p20220331.ebuild
similarity index 51%
copy from sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
copy to sys-kernel/raspberrypi-image/raspberrypi-image-5.15.32_p20220331.ebuild
index dd284762191f..c63fac44773a 100644
--- a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-5.15.32_p20220331.ebuild
@@ -1,12 +1,28 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit mount-boot
 
+# Go to e.g. https://github.com/raspberrypi/firmware/tree/1.20211029/modules
+# for the latest tag to see which kernel version it corresponds to.
+
 DESCRIPTION="Raspberry Pi (all versions) kernel and modules"
 HOMEPAGE="https://github.com/raspberrypi/firmware"
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
+	EGIT_CLONE_TYPE="shallow"
+	inherit git-r3
+else
+	[[ $(ver_cut 4) == p ]] || die "Unsupported version format, tweak the ebuild."
+	MY_PV="1.$(ver_cut 5)"
+
+	SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> raspberrypi-firmware-${MY_PV}.tar.gz"
+	S="${WORKDIR}/firmware-${MY_PV}"
+	KEYWORDS="-* ~arm ~arm64"
+fi
+
 LICENSE="GPL-2 raspberrypi-videocore-bin"
 SLOT="0"
 RESTRICT="binchecks strip"
@@ -18,17 +34,26 @@ RESTRICT="binchecks strip"
 # and all older ones are deleted.
 RDEPEND=">sys-boot/raspberrypi-firmware-1.20190709"
 
-if [[ "${PV}" == 9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
-	EGIT_CLONE_TYPE="shallow"
-else
-	[[ "$(ver_cut 4)" == 'p' ]] || die "Unsupported version format, tweak the ebuild."
-	MY_PV="1.$(ver_cut 5)"
-	SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> raspberrypi-firmware-${MY_PV}.tar.gz"
-	S="${WORKDIR}/firmware-${MY_PV}"
-	KEYWORDS="-* ~arm ~arm64"
-fi
+src_prepare() {
+	default
+
+	local expected_kernel_version="$(ver_cut 1-3)+"
+	local found_kernel_version=( "${S}"/modules/$(ver_cut 1).*.*+ )
+
+	found_kernel_version=${found_kernel_version[0]}
+	found_kernel_version=${found_kernel_version##*/}
+
+	if [[ ${expected_kernel_version} != ${found_kernel_version} ]] ; then
+		eerror "Expected kernel version: ${expected_kernel_version}"
+		eerror "Found kernel version: ${found_kernel_version}"
+		die "Please fix ebuild version to contain ${found_kernel_version}!"
+	fi
+
+	if [[ ! -d "${S}"/modules/${expected_kernel_version} ]] ; then
+		eerror "Kernel module directory is missing!"
+		die "${S}/modules/${expected_kernel_version} not found!"
+	fi
+}
 
 src_install() {
 	insinto /lib/modules

diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
index dd284762191f..c63fac44773a 100644
--- a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
@@ -1,12 +1,28 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit mount-boot
 
+# Go to e.g. https://github.com/raspberrypi/firmware/tree/1.20211029/modules
+# for the latest tag to see which kernel version it corresponds to.
+
 DESCRIPTION="Raspberry Pi (all versions) kernel and modules"
 HOMEPAGE="https://github.com/raspberrypi/firmware"
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
+	EGIT_CLONE_TYPE="shallow"
+	inherit git-r3
+else
+	[[ $(ver_cut 4) == p ]] || die "Unsupported version format, tweak the ebuild."
+	MY_PV="1.$(ver_cut 5)"
+
+	SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> raspberrypi-firmware-${MY_PV}.tar.gz"
+	S="${WORKDIR}/firmware-${MY_PV}"
+	KEYWORDS="-* ~arm ~arm64"
+fi
+
 LICENSE="GPL-2 raspberrypi-videocore-bin"
 SLOT="0"
 RESTRICT="binchecks strip"
@@ -18,17 +34,26 @@ RESTRICT="binchecks strip"
 # and all older ones are deleted.
 RDEPEND=">sys-boot/raspberrypi-firmware-1.20190709"
 
-if [[ "${PV}" == 9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
-	EGIT_CLONE_TYPE="shallow"
-else
-	[[ "$(ver_cut 4)" == 'p' ]] || die "Unsupported version format, tweak the ebuild."
-	MY_PV="1.$(ver_cut 5)"
-	SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> raspberrypi-firmware-${MY_PV}.tar.gz"
-	S="${WORKDIR}/firmware-${MY_PV}"
-	KEYWORDS="-* ~arm ~arm64"
-fi
+src_prepare() {
+	default
+
+	local expected_kernel_version="$(ver_cut 1-3)+"
+	local found_kernel_version=( "${S}"/modules/$(ver_cut 1).*.*+ )
+
+	found_kernel_version=${found_kernel_version[0]}
+	found_kernel_version=${found_kernel_version##*/}
+
+	if [[ ${expected_kernel_version} != ${found_kernel_version} ]] ; then
+		eerror "Expected kernel version: ${expected_kernel_version}"
+		eerror "Found kernel version: ${found_kernel_version}"
+		die "Please fix ebuild version to contain ${found_kernel_version}!"
+	fi
+
+	if [[ ! -d "${S}"/modules/${expected_kernel_version} ]] ; then
+		eerror "Kernel module directory is missing!"
+		die "${S}/modules/${expected_kernel_version} not found!"
+	fi
+}
 
 src_install() {
 	insinto /lib/modules


             reply	other threads:[~2022-07-30  2:22 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-30  2:22 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-24 14:55 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/ Viorel Munteanu
2024-10-24 11:42 Viorel Munteanu
2024-09-03 17:22 Viorel Munteanu
2024-08-13 14:57 Arthur Zamarin
2024-08-13 14:57 Arthur Zamarin
2024-07-12 16:57 Viorel Munteanu
2024-06-17 12:57 Arthur Zamarin
2024-05-16 17:17 Viorel Munteanu
2024-04-20  3:20 Sam James
2023-06-07 16:39 Sam James
2022-04-09 19:39 Arthur Zamarin
2022-04-09 19:31 Arthur Zamarin
2021-11-21  8:21 Sam James
2021-06-21 22:36 Sam James
2021-02-14  3:23 Sam James
2020-12-29 23:47 Sam James
2020-12-15  3:06 Sam James
2020-11-23  4:41 Sam James
2020-10-13 22:39 Sam James
2020-10-13 22:39 Sam James
2020-07-28  0:10 Sam James
2019-12-03 13:34 Andrey Utkin
2019-12-03 13:34 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-05 21:38 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2017-10-15  9:21 Michael Palimaka
2016-03-15 13:49 Michael Weber
2016-03-15 13:49 Michael Weber
2016-02-20 12:07 Michael Weber
2016-02-20  9:11 Patrick Lauer
2016-02-19 22:48 Michael Weber
2016-02-19 22:48 Michael Weber
2016-02-11 12:58 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1659147737.9c35ee04c85c74773e4549d1cbf860cce6f3fda5.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox